import { Test, TestingModule } from '@nestjs/testing';
import { GiftsService } from './gifts.service';
import {getModelToken} from "@nestjs/mongoose";
import {Prize} from "../schemas/prize.schema";
import {Model} from "mongoose";

describe('GiftsService', () => {
  let service: GiftsService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        GiftsService,
        { provide: getModelToken(Prize.name), useValue: Model },
      ],
    }).compile();

    service = module.get<GiftsService>(GiftsService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
